oracle.xml.xquery

## Interface OXQCompositeResolverFactory

All Superinterfaces:
  OXQEntityResolverFactory

    public interface OXQCompositeResolverFactory
    extends OXQEntityResolverFactory

The factory interface for creating composite entity resolvers.

A composite resolver delegates the entity lookup process to other entity resolvers in the order of their registration. It returns the first non-null result that it receives.

Since:
  12.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addResolver(OXQEntityResolver resolver)` Adds a delegate entity resolver.
`OXQEntityResolver[]` `getResolvers()` Returns the delegate entity resolvers currently registered with this factory.
`boolean` `removeResolver(OXQEntityResolver resolver)` Removes a delegate entity resolver.

### Methods inherited from interface oracle.xml.xquery.OXQEntityResolverFactory

`createResolver`

### Method Detail

#### addResolver

    void addResolver(OXQEntityResolver resolver)

Adds a delegate entity resolver.

Parameters:
  `resolver` - the delegate entity resolver. Cannot be `null`
Throws:
  `java.lang.NullPointerException` - if argument is `null`

#### removeResolver

    boolean removeResolver(OXQEntityResolver resolver)

Removes a delegate entity resolver.

Parameters:
  `resolver` - the entity resolver that must be removed. Cannot be `null`
Returns:
  `true` if entity resolver was removed, or `false` if the entity resolver didn't exist in the list
Throws:
  `java.lang.NullPointerException` - if argument is `null`

#### getResolvers

    OXQEntityResolver[] getResolvers()

Returns the delegate entity resolvers currently registered with this factory.

Returns:
  an array containing all delegate entity resolvers, never `null`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.